.\" Copyright 1993 David Metcalfe (david@prism.demon.co.uk)
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\"
.\" References consulted:
.\"     Linux libc source code
.\"     Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991)
.\"     386BSD man pages
.\" Modified Mon Apr 12 12:51:24 1993, David Metcalfe
.TH STRCHR 3  "April 12, 1993" "" "Linux Programmer's Manual"
.SH NAME
strchr, strrchr \- locate character in string
.SH SYNOPSIS
.nf
.B #include <string.h>
.sp
.BI "char *strchr(const char *" s ", int " c );
.sp
.BI "char *strrchr(const char *" s ", int " c );
.fi
.SH DESCRIPTION
The \fBstrchr()\fP function returns a pointer to the first occurrence
of the character \fIc\fP in the string \fIs\fP.
.PP
The \fBstrrchr()\fP function returns a pointer to the last occurrence
of the character \fIc\fP in the string \fIs\fP.
.SH "RETURN VALUE"
The \fBstrchr()\fP and \fBstrrchr()\fP functions return a pointer to
the matched character or NULL if the character is not found.
.SH "CONFORMING TO"
SVID 3, POSIX, BSD 4.3, ISO 9899
.SH "SEE ALSO"
.BR index "(3), " memchr "(3), " rindex "(3), " strpbrk (3),
.BR strsep "(3), " strspn "(3), " strstr "(3), " strtok (3)
